
<!doctype html>
<html lang="en-US" prefix="og: https://ogp.me/ns#">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<meta http-equiv="X-UA-Compatible" content="IE=edge" />
	<link rel="profile" href="https://gmpg.org/xfn/11">

	
<!-- Search Engine Optimization by Rank Math - https://rankmath.com/ -->
<title>Edmond Motorwerks</title>
<meta name="description" content="Edmond Motorwerks is the kind of shop you never stress about leaving your car with. You know it&#039;s in good hands. They are not afraid of a difficult repair ..."/>
<meta name="robots" content="index, follow, max-snippet:-1, max-video-preview:-1, max-image-preview:large"/>
<link rel="canonical" href="https://edmondmotorwerks.com/" />
<meta property="og:locale" content="en_US" />
<meta property="og:type" content="website" />
<meta property="og:title" content="Edmond Motorwerks" />
<meta property="og:description" content="Edmond Motorwerks is the kind of shop you never stress about leaving your car with. You know it&#039;s in good hands. They are not afraid of a difficult repair ..." />
<meta property="og:url" content="https://edmondmotorwerks.com/" />
<meta property="og:site_name" content="Edmond Motorwerks" />
<meta property="og:updated_time" content="2021-07-30T11:00:59-05:00" />
<meta property="article:published_time" content="2021-07-08T16:58:30-05:00" />
<meta property="article:modified_time" content="2021-07-30T11:00:59-05:00" />
<meta name="twitter:card" content="summary_large_image" />
<meta name="twitter:title" content="Edmond Motorwerks" />
<meta name="twitter:description" content="Edmond Motorwerks is the kind of shop you never stress about leaving your car with. You know it&#039;s in good hands. They are not afraid of a difficult repair ..." />
<meta name="twitter:label1" content="Written by" />
<meta name="twitter:data1" content="back40design" />
<meta name="twitter:label2" content="Time to read" />
<meta name="twitter:data2" content="Less than a minute" />
<script type="application/ld+json" class="rank-math-schema">{"@context":"https://schema.org","@graph":[{"@type":["AutoBodyShop","Organization"],"@id":"https://edmondmotorwerks.com/#organization","name":"Edmond Motorwerks","url":"https://edmondmotorwerks.com","logo":{"@type":"ImageObject","@id":"https://edmondmotorwerks.com/#logo","url":"https://edmondmotorwerks.com/wp-content/uploads/2021/07/EMW-Logo-1.svg","contentUrl":"https://edmondmotorwerks.com/wp-content/uploads/2021/07/EMW-Logo-1.svg","caption":"Edmond Motorwerks","inLanguage":"en-US","width":"914","height":"716"},"openingHours":["Monday,Tuesday,Wednesday,Thursday,Friday,Saturday,Sunday 09:00-17:00"],"image":{"@id":"https://edmondmotorwerks.com/#logo"}},{"@type":"WebSite","@id":"https://edmondmotorwerks.com/#website","url":"https://edmondmotorwerks.com","name":"Edmond Motorwerks","publisher":{"@id":"https://edmondmotorwerks.com/#organization"},"inLanguage":"en-US","potentialAction":{"@type":"SearchAction","target":"https://edmondmotorwerks.com/?s={search_term_string}","query-input":"required name=search_term_string"}},{"@type":"WebPage","@id":"https://edmondmotorwerks.com/#webpage","url":"https://edmondmotorwerks.com/","name":"Edmond Motorwerks","datePublished":"2021-07-08T16:58:30-05:00","dateModified":"2021-07-30T11:00:59-05:00","about":{"@id":"https://edmondmotorwerks.com/#organization"},"isPartOf":{"@id":"https://edmondmotorwerks.com/#website"},"inLanguage":"en-US"},{"@type":"Person","@id":"https://edmondmotorwerks.com/author/back40design/","name":"back40design","url":"https://edmondmotorwerks.com/author/back40design/","image":{"@type":"ImageObject","@id":"https://secure.gravatar.com/avatar/bd7b6c4525b921d8cc935fe8e27ad305?s=96&amp;d=mm&amp;r=g","url":"https://secure.gravatar.com/avatar/bd7b6c4525b921d8cc935fe8e27ad305?s=96&amp;d=mm&amp;r=g","caption":"back40design","inLanguage":"en-US"},"worksFor":{"@id":"https://edmondmotorwerks.com/#organization"}},{"@type":"Article","headline":"Edmond Motorwerks","keywords":"Exotics,Performance,repair,engines,maintenance","datePublished":"2021-07-08T16:58:30-05:00","dateModified":"2021-07-30T11:00:59-05:00","author":{"@id":"https://edmondmotorwerks.com/author/back40design/","name":"back40design"},"publisher":{"@id":"https://edmondmotorwerks.com/#organization"},"description":"Edmond Motorwerks is the kind of shop you never stress about leaving your car with. You know it&#039;s in good hands. They are not afraid of a difficult repair ...","name":"Edmond Motorwerks","@id":"https://edmondmotorwerks.com/#richSnippet","isPartOf":{"@id":"https://edmondmotorwerks.com/#webpage"},"inLanguage":"en-US","mainEntityOfPage":{"@id":"https://edmondmotorwerks.com/#webpage"}}]}</script>
<!-- /Rank Math WordPress SEO plugin -->

<link rel='dns-prefetch' href='//use.typekit.net' />
<link rel="alternate" type="application/rss+xml" title="Edmond Motorwerks &raquo; Feed" href="https://edmondmotorwerks.com/feed/" />
<link rel="alternate" type="application/rss+xml" title="Edmond Motorwerks &raquo; Comments Feed" href="https://edmondmotorwerks.com/comments/feed/" />
<script type="text/javascript">
/* <![CDATA[ */
window._wpemojiSettings = {"baseUrl":"https:\/\/s.w.org\/images\/core\/emoji\/14.0.0\/72x72\/","ext":".png","svgUrl":"https:\/\/s.w.org\/images\/core\/emoji\/14.0.0\/svg\/","svgExt":".svg","source":{"concatemoji":"https:\/\/edmondmotorwerks.com\/wp-includes\/js\/wp-emoji-release.min.js?ver=6.4.3"}};
/*! This file is auto-generated */
!function(i,n){var o,s,e;function c(e){try{var t={supportTests:e,timestamp:(new Date).valueOf()};sessionStorage.setItem(o,JSON.stringify(t))}catch(e){}}function p(e,t,n){e.clearRect(0,0,e.canvas.width,e.canvas.height),e.fillText(t,0,0);var t=new Uint32Array(e.getImageData(0,0,e.canvas.width,e.canvas.height).data),r=(e.clearRect(0,0,e.canvas.width,e.canvas.height),e.fillText(n,0,0),new Uint32Array(e.getImageData(0,0,e.canvas.width,e.canvas.height).data));return t.every(function(e,t){return e===r[t]})}function u(e,t,n){switch(t){case"flag":return n(e,"\ud83c\udff3\ufe0f\u200d\u26a7\ufe0f","\ud83c\udff3\ufe0f\u200b\u26a7\ufe0f")?!1:!n(e,"\ud83c\uddfa\ud83c\uddf3","\ud83c\uddfa\u200b\ud83c\uddf3")&&!n(e,"\ud83c\udff4\udb40\udc67\udb40\udc62\udb40\udc65\udb40\udc6e\udb40\udc67\udb40\udc7f","\ud83c\udff4\u200b\udb40\udc67\u200b\udb40\udc62\u200b\udb40\udc65\u200b\udb40\udc6e\u200b\udb40\udc67\u200b\udb40\udc7f");case"emoji":return!n(e,"\ud83e\udef1\ud83c\udffb\u200d\ud83e\udef2\ud83c\udfff","\ud83e\udef1\ud83c\udffb\u200b\ud83e\udef2\ud83c\udfff")}return!1}function f(e,t,n){var r="undefined"!=typeof WorkerGlobalScope&&self instanceof WorkerGlobalScope?new OffscreenCanvas(300,150):i.createElement("canvas"),a=r.getContext("2d",{willReadFrequently:!0}),o=(a.textBaseline="top",a.font="600 32px Arial",{});return e.forEach(function(e){o[e]=t(a,e,n)}),o}function t(e){var t=i.createElement("script");t.src=e,t.defer=!0,i.head.appendChild(t)}"undefined"!=typeof Promise&&(o="wpEmojiSettingsSupports",s=["flag","emoji"],n.supports={everything:!0,everythingExceptFlag:!0},e=new Promise(function(e){i.addEventListener("DOMContentLoaded",e,{once:!0})}),new Promise(function(t){var n=function(){try{var e=JSON.parse(sessionStorage.getItem(o));if("object"==typeof e&&"number"==typeof e.timestamp&&(new Date).valueOf()<e.timestamp+604800&&"object"==typeof e.supportTests)return e.supportTests}catch(e){}return null}();if(!n){if("undefined"!=typeof Worker&&"undefined"!=typeof OffscreenCanvas&&"undefined"!=typeof URL&&URL.createObjectURL&&"undefined"!=typeof Blob)try{var e="postMessage("+f.toString()+"("+[JSON.stringify(s),u.toString(),p.toString()].join(",")+"));",r=new Blob([e],{type:"text/javascript"}),a=new Worker(URL.createObjectURL(r),{name:"wpTestEmojiSupports"});return void(a.onmessage=function(e){c(n=e.data),a.terminate(),t(n)})}catch(e){}c(n=f(s,u,p))}t(n)}).then(function(e){for(var t in e)n.supports[t]=e[t],n.supports.everything=n.supports.everything&&n.supports[t],"flag"!==t&&(n.supports.everythingExceptFlag=n.supports.everythingExceptFlag&&n.supports[t]);n.supports.everythingExceptFlag=n.supports.everythingExceptFlag&&!n.supports.flag,n.DOMReady=!1,n.readyCallback=function(){n.DOMReady=!0}}).then(function(){return e}).then(function(){var e;n.supports.everything||(n.readyCallback(),(e=n.source||{}).concatemoji?t(e.concatemoji):e.wpemoji&&e.twemoji&&(t(e.twemoji),t(e.wpemoji)))}))}((window,document),window._wpemojiSettings);
/* ]]> */
</script>
<style id='wp-emoji-styles-inline-css' type='text/css'>

	img.wp-smiley, img.emoji {
		display: inline !important;
		border: none !important;
		box-shadow: none !important;
		height: 1em !important;
		width: 1em !important;
		margin: 0 0.07em !important;
		vertical-align: -0.1em !important;
		background: none !important;
		padding: 0 !important;
	}
</style>
<link rel='stylesheet' id='wp-block-library-css' href='https://edmondmotorwerks.com/wp-includes/css/dist/block-library/style.min.css?ver=6.4.3' type='text/css' media='all' />
<style id='safe-svg-svg-icon-style-inline-css' type='text/css'>
.safe-svg-cover{text-align:center}.safe-svg-cover .safe-svg-inside{display:inline-block;max-width:100%}.safe-svg-cover svg{height:100%;max-height:100%;max-width:100%;width:100%}

</style>
<style id='rank-math-toc-block-style-inline-css' type='text/css'>
.wp-block-rank-math-toc-block nav ol{counter-reset:item}.wp-block-rank-math-toc-block nav ol li{display:block}.wp-block-rank-math-toc-block nav ol li:before{content:counters(item, ".") ". ";counter-increment:item}

</style>
<style id='classic-theme-styles-inline-css' type='text/css'>
/*! This file is auto-generated */
.wp-block-button__link{color:#fff;background-color:#32373c;border-radius:9999px;box-shadow:none;text-decoration:none;padding:calc(.667em + 2px) calc(1.333em + 2px);font-size:1.125em}.wp-block-file__button{background:#32373c;color:#fff;text-decoration:none}
</style>
<style id='global-styles-inline-css' type='text/css'>
body{--wp--preset--color--black: #000000;--wp--preset--color--cyan-bluish-gray: #abb8c3;--wp--preset--color--white: #ffffff;--wp--preset--color--pale-pink: #f78da7;--wp--preset--color--vivid-red: #cf2e2e;--wp--preset--color--luminous-vivid-orange: #ff6900;--wp--preset--color--luminous-vivid-amber: #fcb900;--wp--preset--color--light-green-cyan: #7bdcb5;--wp--preset--color--vivid-green-cyan: #00d084;--wp--preset--color--pale-cyan-blue: #8ed1fc;--wp--preset--color--vivid-cyan-blue: #0693e3;--wp--preset--color--vivid-purple: #9b51e0;--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple: linear-gradient(135deg,rgba(6,147,227,1) 0%,rgb(155,81,224) 100%);--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan: linear-gradient(135deg,rgb(122,220,180) 0%,rgb(0,208,130) 100%);--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange: linear-gradient(135deg,rgba(252,185,0,1) 0%,rgba(255,105,0,1) 100%);--wp--preset--gradient--luminous-vivid-orange-to-vivid-red: linear-gradient(135deg,rgba(255,105,0,1) 0%,rgb(207,46,46) 100%);--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray: linear-gradient(135deg,rgb(238,238,238) 0%,rgb(169,184,195) 100%);--wp--preset--gradient--cool-to-warm-spectrum: linear-gradient(135deg,rgb(74,234,220) 0%,rgb(151,120,209) 20%,rgb(207,42,186) 40%,rgb(238,44,130) 60%,rgb(251,105,98) 80%,rgb(254,248,76) 100%);--wp--preset--gradient--blush-light-purple: linear-gradient(135deg,rgb(255,206,236) 0%,rgb(152,150,240) 100%);--wp--preset--gradient--blush-bordeaux: linear-gradient(135deg,rgb(254,205,165) 0%,rgb(254,45,45) 50%,rgb(107,0,62) 100%);--wp--preset--gradient--luminous-dusk: linear-gradient(135deg,rgb(255,203,112) 0%,rgb(199,81,192) 50%,rgb(65,88,208) 100%);--wp--preset--gradient--pale-ocean: linear-gradient(135deg,rgb(255,245,203) 0%,rgb(182,227,212) 50%,rgb(51,167,181) 100%);--wp--preset--gradient--electric-grass: linear-gradient(135deg,rgb(202,248,128) 0%,rgb(113,206,126) 100%);--wp--preset--gradient--midnight: linear-gradient(135deg,rgb(2,3,129) 0%,rgb(40,116,252) 100%);--wp--preset--font-size--small: 13px;--wp--preset--font-size--medium: 20px;--wp--preset--font-size--large: 36px;--wp--preset--font-size--x-large: 42px;--wp--preset--spacing--20: 0.44rem;--wp--preset--spacing--30: 0.67rem;--wp--preset--spacing--40: 1rem;--wp--preset--spacing--50: 1.5rem;--wp--preset--spacing--60: 2.25rem;--wp--preset--spacing--70: 3.38rem;--wp--preset--spacing--80: 5.06rem;--wp--preset--shadow--natural: 6px 6px 9px rgba(0, 0, 0, 0.2);--wp--preset--shadow--deep: 12px 12px 50px rgba(0, 0, 0, 0.4);--wp--preset--shadow--sharp: 6px 6px 0px rgba(0, 0, 0, 0.2);--wp--preset--shadow--outlined: 6px 6px 0px -3px rgba(255, 255, 255, 1), 6px 6px rgba(0, 0, 0, 1);--wp--preset--shadow--crisp: 6px 6px 0px rgba(0, 0, 0, 1);}:where(.is-layout-flex){gap: 0.5em;}:where(.is-layout-grid){gap: 0.5em;}body .is-layout-flow > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-flow > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-flow > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignleft{float: left;margin-inline-start: 0;margin-inline-end: 2em;}body .is-layout-constrained > .alignright{float: right;margin-inline-start: 2em;margin-inline-end: 0;}body .is-layout-constrained > .aligncenter{margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > :where(:not(.alignleft):not(.alignright):not(.alignfull)){max-width: var(--wp--style--global--content-size);margin-left: auto !important;margin-right: auto !important;}body .is-layout-constrained > .alignwide{max-width: var(--wp--style--global--wide-size);}body .is-layout-flex{display: flex;}body .is-layout-flex{flex-wrap: wrap;align-items: center;}body .is-layout-flex > *{margin: 0;}body .is-layout-grid{display: grid;}body .is-layout-grid > *{margin: 0;}:where(.wp-block-columns.is-layout-flex){gap: 2em;}:where(.wp-block-columns.is-layout-grid){gap: 2em;}:where(.wp-block-post-template.is-layout-flex){gap: 1.25em;}:where(.wp-block-post-template.is-layout-grid){gap: 1.25em;}.has-black-color{color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-color{color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-color{color: var(--wp--preset--color--white) !important;}.has-pale-pink-color{color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-color{color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-color{color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-color{color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-color{color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-color{color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-color{color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-color{color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-color{color: var(--wp--preset--color--vivid-purple) !important;}.has-black-background-color{background-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-background-color{background-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-background-color{background-color: var(--wp--preset--color--white) !important;}.has-pale-pink-background-color{background-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-background-color{background-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-background-color{background-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-background-color{background-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-background-color{background-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-background-color{background-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-background-color{background-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-background-color{background-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-background-color{background-color: var(--wp--preset--color--vivid-purple) !important;}.has-black-border-color{border-color: var(--wp--preset--color--black) !important;}.has-cyan-bluish-gray-border-color{border-color: var(--wp--preset--color--cyan-bluish-gray) !important;}.has-white-border-color{border-color: var(--wp--preset--color--white) !important;}.has-pale-pink-border-color{border-color: var(--wp--preset--color--pale-pink) !important;}.has-vivid-red-border-color{border-color: var(--wp--preset--color--vivid-red) !important;}.has-luminous-vivid-orange-border-color{border-color: var(--wp--preset--color--luminous-vivid-orange) !important;}.has-luminous-vivid-amber-border-color{border-color: var(--wp--preset--color--luminous-vivid-amber) !important;}.has-light-green-cyan-border-color{border-color: var(--wp--preset--color--light-green-cyan) !important;}.has-vivid-green-cyan-border-color{border-color: var(--wp--preset--color--vivid-green-cyan) !important;}.has-pale-cyan-blue-border-color{border-color: var(--wp--preset--color--pale-cyan-blue) !important;}.has-vivid-cyan-blue-border-color{border-color: var(--wp--preset--color--vivid-cyan-blue) !important;}.has-vivid-purple-border-color{border-color: var(--wp--preset--color--vivid-purple) !important;}.has-vivid-cyan-blue-to-vivid-purple-gradient-background{background: var(--wp--preset--gradient--vivid-cyan-blue-to-vivid-purple) !important;}.has-light-green-cyan-to-vivid-green-cyan-gradient-background{background: var(--wp--preset--gradient--light-green-cyan-to-vivid-green-cyan) !important;}.has-luminous-vivid-amber-to-luminous-vivid-orange-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-amber-to-luminous-vivid-orange) !important;}.has-luminous-vivid-orange-to-vivid-red-gradient-background{background: var(--wp--preset--gradient--luminous-vivid-orange-to-vivid-red) !important;}.has-very-light-gray-to-cyan-bluish-gray-gradient-background{background: var(--wp--preset--gradient--very-light-gray-to-cyan-bluish-gray) !important;}.has-cool-to-warm-spectrum-gradient-background{background: var(--wp--preset--gradient--cool-to-warm-spectrum) !important;}.has-blush-light-purple-gradient-background{background: var(--wp--preset--gradient--blush-light-purple) !important;}.has-blush-bordeaux-gradient-background{background: var(--wp--preset--gradient--blush-bordeaux) !important;}.has-luminous-dusk-gradient-background{background: var(--wp--preset--gradient--luminous-dusk) !important;}.has-pale-ocean-gradient-background{background: var(--wp--preset--gradient--pale-ocean) !important;}.has-electric-grass-gradient-background{background: var(--wp--preset--gradient--electric-grass) !important;}.has-midnight-gradient-background{background: var(--wp--preset--gradient--midnight) !important;}.has-small-font-size{font-size: var(--wp--preset--font-size--small) !important;}.has-medium-font-size{font-size: var(--wp--preset--font-size--medium) !important;}.has-large-font-size{font-size: var(--wp--preset--font-size--large) !important;}.has-x-large-font-size{font-size: var(--wp--preset--font-size--x-large) !important;}
.wp-block-navigation a:where(:not(.wp-element-button)){color: inherit;}
:where(.wp-block-post-template.is-layout-flex){gap: 1.25em;}:where(.wp-block-post-template.is-layout-grid){gap: 1.25em;}
:where(.wp-block-columns.is-layout-flex){gap: 2em;}:where(.wp-block-columns.is-layout-grid){gap: 2em;}
.wp-block-pullquote{font-size: 1.5em;line-height: 1.6;}
</style>
<link rel='stylesheet' id='typekit-fonts-css' href='https://use.typekit.net/iku7hna.css?ver=6.4.3' type='text/css' media='all' />
<link rel='stylesheet' id='b40-style-css' href='https://edmondmotorwerks.com/wp-content/themes/Edmond-Motorwerks-WP-Theme/style.css?ver=1.1.0' type='text/css' media='all' />
<link rel="https://api.w.org/" href="https://edmondmotorwerks.com/wp-json/" /><link rel="alternate" type="application/json" href="https://edmondmotorwerks.com/wp-json/wp/v2/pages/118" /><link rel="EditURI" type="application/rsd+xml" title="RSD" href="https://edmondmotorwerks.com/xmlrpc.php?rsd" />
<meta name="generator" content="WordPress 6.4.3" />
<link rel='shortlink' href='https://edmondmotorwerks.com/' />
<link rel="alternate" type="application/json+oembed" href="https://edmondmotorwerks.com/wp-json/oembed/1.0/embed?url=https%3A%2F%2Fedmondmotorwerks.com%2F" />
<link rel="alternate" type="text/xml+oembed" href="https://edmondmotorwerks.com/wp-json/oembed/1.0/embed?url=https%3A%2F%2Fedmondmotorwerks.com%2F&#038;format=xml" />
<link rel="icon" href="https://edmondmotorwerks.com/wp-content/uploads/2021/07/cropped-unnamed-file-32x32.png" sizes="32x32" />
<link rel="icon" href="https://edmondmotorwerks.com/wp-content/uploads/2021/07/cropped-unnamed-file-192x192.png" sizes="192x192" />
<link rel="apple-touch-icon" href="https://edmondmotorwerks.com/wp-content/uploads/2021/07/cropped-unnamed-file-180x180.png" />
<meta name="msapplication-TileImage" content="https://edmondmotorwerks.com/wp-content/uploads/2021/07/cropped-unnamed-file-270x270.png" />

	<!-- Header Scripts from Theme Options -->
	<!-- Global site tag (gtag.js) - Google Analytics --> <script async src="https://www.googletagmanager.com/gtag/js?id=UA-42417835-1"></script> <script>   window.dataLayer = window.dataLayer || [];   function gtag(){dataLayer.push(arguments);}   gtag('js', new Date());    gtag('config', 'UA-42417835-1'); </script><script>(function(d){var s = d.createElement("script");s.setAttribute("data-account", "k2LTOfPbSM");s.setAttribute("src", "https://cdn.userway.org/widget.js");(d.body || d.head).appendChild(s);})(document)</script><noscript>Please ensure Javascript is enabled for purposes of <a href="https://userway.org">website accessibility</a></noscript></head>

<body class="home page-template-default page page-id-118 wp-custom-logo">

	

	<header id="masthead" class="page-header">

		
		<div class="top-bar">
		
			<div class="container">

				<div class="address">
					<i class="fas fa-map-marker-alt"></i>
					<p>2200 S Kelly Suite #150, Edmond, OK 73013</p>
				</div>

									<div class="phone">
					<i class="fas fa-phone"></i>
					<a href="tel:4058887836" target="_self">
						405-888-7836					</a>
					</div>
				
				
				<div class="hours">
					<i class="fas fa-clock"></i>
					<p>Mon &#8211; Fri: 9 am &#8211; 5 pm</p>
				</div>

				
					<a class="btn-header" href="https://edmondmotorwerks.com/contact/" target="_self">Schedule an Appointment</a>

                			</div>

		</div>

		<div class="container">

			<div class="header-row">

				<a href="https://edmondmotorwerks.com" class="logo">
					
					<img src="https://edmondmotorwerks.com/wp-content/uploads/2021/07/EMW-Logo.png" 
					srcset="https://edmondmotorwerks.com/wp-content/uploads/2021/07/EMW-Logo.png 1x, https://edmondmotorwerks.com/wp-content/uploads/2021/07/EMW-Logo.png 2x" 
					alt="">
				</a>

				<nav id="nav-menu" class="navigation-menu">
				<div class="navicon mobile">
						<span class="icon-close"></span>
				</div>
					
					<div class="menu-navigation-bar-container"><ul id="menu-navigation-bar" class="menu"><li id="menu-item-167" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-167"><a href="https://edmondmotorwerks.com/about/">About</a></li>
<li id="menu-item-178" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-178"><a href="https://edmondmotorwerks.com/services/">Services</a></li>
<li id="menu-item-179" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-179"><a href="https://edmondmotorwerks.com/performance/">Performance Upgrades</a></li>
<li id="menu-item-180" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-180"><a href="https://edmondmotorwerks.com/exotics/">Exotics</a></li>
<li id="menu-item-181" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-181"><a href="https://edmondmotorwerks.com/gallery/">Gallery</a></li>
<li id="menu-item-182" class="menu-item menu-item-type-post_type menu-item-object-page menu-item-182"><a href="https://edmondmotorwerks.com/contact/">Contact</a></li>
</ul></div>
				<div class="mobile">
										<a href="https://www.facebook.com/EdmondMotorwerks" target="_blank" class="fb-header-link"><span class="screen-reader-text">Facebook</span><i class="fab fa-facebook"></i></a>
				</div>
				</nav>

									<a href="https://www.facebook.com/EdmondMotorwerks" target="_blank" class="fb-header-link desktop"><span class="screen-reader-text">Facebook</span><i class="fab fa-facebook"></i></a>
				
				<!-- #nav-menu -->

				<div class="navicon">
					<span class="icon-close"></span>
				</div>

			</div>

		</div>

	</header><!-- #masthead -->

	<main id="main" class="page-main">

		
<section id="page-118" class="homepage">
    
<div class="wp-block-columns is-layout-flex wp-container-core-columns-layout-1 wp-block-columns-is-layout-flex">
<div class="wp-block-column is-layout-flow wp-block-column-is-layout-flow">
<div id="b40-hero-block_60e72a223afe9" class="b40-hero">

    <div class="b40-hero-bg"  style="background-image: url(https://edmondmotorwerks.com/wp-content/uploads/2021/07/D398E0CA-E790-4A15-92BF-3DF99E243D32-scaled-e1624547986364-2048x962-1-e1627660853202.jpeg);"></div>

    <img decoding="async" class="b40-hero--image" src="" alt="">

    <div class="b40-hero-content">
            
        <div class="container" data-aos="fade-up">

            <h1>BMW &#8211; MINI &#8211; EXOTICS REPAIR</h1>

                            <a class="btn btn-default btn-inverse" href="/contact/" target="_self">Get an Estimate</a>
                        
        </div>
    
    </div>

</div>


<div id="b40-properties-block_60e72a553afea" class="b40-properties">

    <div class="container">

        <h2 data-aos="fade-up">SERVICES</h2>

                    <ul class="b40-properties--wrap">
                            <li class="b40-property" data-aos="fade-up">
                    <div class="b40-property--image">
                        <img decoding="async" src="https://edmondmotorwerks.com/wp-content/uploads/2021/07/E422EC58-EB5A-476B-B446-F92EDA216A03-1-scaled.jpeg" alt="service_cars">
                    </div>

                    <div class="b40-property--info">
                        <div class="b40-property--price">General Maintenance</div>
                        <h3 class="b40-property--address">
                                                        <span></span>
                        </h3>
                        <div class="b40-property--description">
                            <p>We can fix everything from air conditioning, brakes, suspension, engines, transmissions, clutches, leaks, electrical issues, general maintenance and more! We have equipment to diagnose any issues with your BMW or Mini like check engine lights, ABS, airbags and more! We can also do general repairs on all other makes and models.</p>
                        </div>

                                                    <a href="/services/" target="_self" class="btn btn-default">View All</a>
                                            </div>
                </li>
                            <li class="b40-property" data-aos="fade-up">
                    <div class="b40-property--image">
                        <img decoding="async" src="https://edmondmotorwerks.com/wp-content/uploads/2021/07/82699A04-BB78-4342-9B46-D8F625D2BFAD-scaled-e1624464511524.jpeg" alt="exotic_car_performance">
                    </div>

                    <div class="b40-property--info">
                        <div class="b40-property--price">Performance</div>
                        <h3 class="b40-property--address">
                                                        <span></span>
                        </h3>
                        <div class="b40-property--description">
                            <p>We have multiple suppliers we have been using for years for upgrades. Whether you’re looking for a better look by lowering your vehicle, tuning to add some more power or different exhaust for a better sound; we can customize about anything. We exclusively use Active Autowerke for all our tunes.</p>
                        </div>

                                                    <a href="/performance/" target="_self" class="btn btn-default">View All</a>
                                            </div>
                </li>
                        </ul>
        
    </div>

</div>



<div id="b40-image-text-block_60e72e1e6e811" class="b40-image-text">

    <div class="inner">
    
        <div class="container">

            <div class="row">
            
                <div class="col-lg-6">

                    <div data-aos="fade-up" class="b40-image-text--content">
                        <span class="b40-image-text--preheading">We Take Non-Factory Warranty</span>
                        <h2 >Why should you work with us?</h2>
                        <span class="b40-image-text--subheading">We are a trusting team working for you. </span>
                        <p>We use parts that are equal to or better than OEM, we get parts directly from the manufacturer who makes parts specifically for BMW and Mini, and we pass the savings on to the customer, so you save money not only on labor, but also on parts.</p>
                                                <a href="/about/" target="_self" class="btn btn-default">More About Us</a>
                                            </div>

                </div>

            </div>

        </div>

        <div class="b40-image-text--image" style="background-image: url(https://edmondmotorwerks.com/wp-content/uploads/2021/07/Rectangle-Copy-10.png);"></div>

    </div>

</div>
</div>
</div>



<p></p>
</section><!-- #post-118 -->
<div class="b40-cta" style="background-image: url(https://edmondmotorwerks.com/wp-content/uploads/2021/07/Rectangle.png)">
    <div class="container" data-aos="fade-up">
        <div class="b40-cta--inner">
            <h2><a href="https://edmondmotorwerks.com/contact/">Contact us for an estimate today!</a></h2>
                    </div>
    </div>
</div>
	</main><!-- #main -->


<footer class="site-footer">

	<div class="inner">
		<div class="container" data-aos="fade-up">

            <a href="https://edmondmotorwerks.com" class="footer-logo">
                
                <img src="https://edmondmotorwerks.com/wp-content/uploads/2021/07/EMW-White-Logo-e1624897787819.png" 
                srcset="https://edmondmotorwerks.com/wp-content/uploads/2021/07/EMW-White-Logo-e1624897787819.png 1x,  2x"
                alt="">
            </a>

            <div class="footer-contact">

                <div class="footer-address">
                    <p>2200 S Kelly Suite #150, Edmond, OK 73013</p>
                </div>
                
                <div class="footer-hours">
                    <p>Mon &#8211; Fri: 9 am &#8211; 5 pm</p>
                </div>
                
                                    <div class="footer-phone">
                    <a href="tel:4058887836" target="_self">
                        405-888-7836                    </a>
                    </div>
                
                
            </div>	

            <div class="footer-social">
                
                    <ul class="social-links">

                    
                        <li class="social-item">
                            <a class="social-link" rel="nofollow noopener noreferrer" href="" target="_blank">
                                <i class="fab fa-facebook-f" aria-hidden="true"></i>
                                <span class="sr-only hidden"> facebook  </span>
                            </a>
                        </li>

                                    
                    </ul>

                            </div>
                    
		</div><!-- container -->
	</div>

	<div class="copyright">
		<div class="container">
			&copy;2024 Edmond Motorwerks. All Rights Reserved. Website designed by <a href="http://www.back40design.com/" target="_blank">Back40 Design</a>.
			<a href="/privacy-policy/" class="privacy-link">Privacy Policy</a>
		</div>
	</div>

</footer><!-- footer -->

<style id='core-block-supports-inline-css' type='text/css'>
.wp-container-core-columns-layout-1.wp-container-core-columns-layout-1{flex-wrap:nowrap;}
</style>
<script type="text/javascript" src="https://edmondmotorwerks.com/wp-content/themes/back40-theme/js/jquery-3.5.1.min.js?ver=3.5.1" id="jquery-js"></script>
<script type="text/javascript" id="b40-main-js-js-extra">
/* <![CDATA[ */
var b40_ajax_object = {"ajax_url":"https:\/\/edmondmotorwerks.com\/wp-admin\/admin-ajax.php"};
/* ]]> */
</script>
<script type="text/javascript" src="https://edmondmotorwerks.com/wp-content/themes/Edmond-Motorwerks-WP-Theme/js/main.min.js?ver=1.0.0" id="b40-main-js-js"></script>

	<!-- Footer Scripts from Theme Options -->
	
</body>
</html>

<!-- Cache served by breeze CACHE - Last modified: Mon, 25 Mar 2024 17:34:37 GMT -->
